Subject: Re: [pim] Fwd: Multicast in MPLS/BGP IP VPNs

From: Dino Farinacci <[email-masked]>
Date: Wed, 19 Oct 2005 12:12:49 -0700

Cc'ing l3vpn working group.

>> The L3-VPN problem is a subset of the more general PIM multicast
>> routing problem. But they have fore knowledge that they can use to
>> their advantage that PIM alone doesn't have. For instance, they
>> already know their PIM neighbors and they know the best egress point
>> to reach sources.

    There are scaling problems with basic PE-based VPNs. How do you expect
    anything that overlays on top of it to work well?

    PE-based VPNs will not scale, it is the wrong place to put the technology.
    Putting VPN support at the edges (CE-based VPNs) allows them to scale in a
    distributed manner and is more cost-effective because you can avoid the 
    huge honkin PE box cost with all sorts of additional issues like lack of 
    privacy, single point of failure, etc...

    People say that CE-based VPNs are too hard to manage by a service provider.
    I don't believe it for one minute. If cable and DSL providers can put
    boxes in our homes, we can have script-based or auto-configuring CE-based
    devices in remote offices. And if and only if you want network based
    encryption, then you get encrypted packets starting out on the CE-PE link.

    So let's fix the fundamental problem and not finger point to PIM or any
    other protocol. BTW, we could get BGP to scale better too if it didn't 
    have to support VPNs.

Dino

P.S. Tom, I am not picking on you. It was just your email that invoked my
     response. There is nothing you said that I necessarily disgree with.

-------------------------------------------------------------------------------

To: Beau Williamson <[email-masked]>
Subject: Re: [pim] Fwd: Multicast in MPLS/BGP IP VPNs 
Date: Wed, 19 Oct 2005 11:51:27 -0400
From: Tom Pusateri <[email-masked]>
Cc: Nidhi Bhaskar <[email-masked]>, [email-masked], [email-masked],
        [email-masked]
Sender: [email-masked]

The L3-VPN problem is a subset of the more general PIM multicast
routing problem. But they have fore knowledge that they can use to
their advantage that PIM alone doesn't have. For instance, they
already know their PIM neighbors and they know the best egress point
to reach sources.

They are having scaling problems with the current PIM soft-state
design.  These scaling problems are actually a general PIM problem
and so we thought we would try to solve them in a general way and
they could benefit from this. However, we are on two different time
scales. They have deployment problems today and the general PIM
deployment outside of L3-VPNs does not.

We have started the pim state refresh reduction work which could
help them but there isn't consensus on how this should be done and
forward progress has been slow. This also doesn't solve their problem
of hello traffic.

Therefore, it makes perfect sense for them to solve their problems
now instead of waiting for us. They don't need hellos, they already
are talking to the routers they want to and have established BGP/MPLS
state.

I think this will be a great discussion topic in Vancouver. I'll
put it on the agenda and be sure to invite those from L3-VPN.

If we don't want them to do everything with BGP, then we need to
provide them an alternative. But that means getting something
finished and getting it implemented.

Thanks,
Tom

In message <[email-masked]> you write:
>At 10/19/2005 08:40 AM, Rurick Kellermann wrote:
>>I follow both WG emails - there's perception in the L3-VPN WG that
>>there are a lot of shortcomings on PIM-SM.
>
>Got any pointers to specifics about these perceived shortcomings?
>
>I suspect they are most concerned with the fact that it uses soft-state 
>which has to be refreshed but I'm just guessing.
>
>Beau 
>
>_______________________________________________
>pim mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

-------------------------------------------------------------------------------

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 20 Oct 2005 06:25:03 -0700

Dino,

>     There are scaling problems with basic PE-based VPNs. 

Perhaps you could elaborate on the scaling problems with *basic*
(means multicast not included) PE-based VPNs.

>     How do you expect anything that overlays on top of it to work well?
> 

Do you have facts to support your claim that "PE-based VPNs will not
scale", or is it proved by an emphatic assertion ? 

Yakov.

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 20 Oct 2005 09:10:42 -0700

>> scale", or is it proved by an emphatic assertion ? 

    There is tons of literature about this. You just have to read it with an
    open mind.

>> Since you claim that PIM "allows customers to upgrade a single protocol 
>> without taking the whole system down", and since you work at cisco
>> please tell us how one could upgrade PIM in cisco IOS classic without 
>> taking the whole IOS down.

    In a modular system, it is possible. Cisco has more than one operating
    system so it is possible in some products. But why are we talking about
    cisco here.

>> And it also adds an overhead to the control plane. And once the 
>> control plane is overloaded, such things as "simplicity in the
>> implemenation design of protocols" matters very little.

    Tell me the BGP control-plane is not overloaded? I would agree with your
    assertions but you are not consistent.

>> Follow your line of reasoning we should just stick with static
>> routing, as static routing is certainly more stable than any form
>> of dynamic routing. 

    I wouldn't go that far. But I do remember a quote from a colleague (one
    I do respect -- that would be you!) once said:

        "The best routing is static routing since there are no route flaps"

Dino

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 20 Oct 2005 13:28:18 -0700

Dino,

>     There is tons of literature about this. You just have to read it with an

How about instead of "tons of literature" just present the actual
facts ?

Please also look *with an open mind* at Section 15 of 
draft-ietf-l3vpn-rfc2547bis, as this section present scalability analysis 
of 2547 VPNs.

>         "The best routing is static routing since there are no route flaps"

You probably did not get the bottom line - it was a joke.

Yakov.